=== debian/control ===
Source: pycam
Section: python
Priority: extra
Maintainer: Sebastian Kuzminsky <seb@highlab.com>
Build-Depends: python, debhelper (>= 7), cdbs, patchutils
Build-Depends-Indep: python-support, help2man
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/pycam/

Package: pycam
Architecture: all
Depends: python-gtk2, python-opengl (>>3.0.0~b6-3), python-gtkglext1,
 ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: python-pyode (>>1.2.0-3), python-psyco
Description: CAM program & library written in Python
 This is a set of Python modules for toolpath generation for 3-Axis
 CNC machining, and a GUI program that uses them.
 .
 Features:
    * read and write STL model files
    * generate and export toolpaths (gcode) for various strategies and
      drill definitions
    * manage processing templates (e.g. rough, semi-finish and finish
      operations)
    * scale, move, rotate, flip and transform the model
    * interactive 3D model view
    * non-interactive 'STL to GCode' processing via commandline
